#include <stdio.h>
#include "fglsys.h"
   
int rx_shell(n)
int n;  /* number of arguments passed */
{
  FILE *pipe_in;
  char in_buf[BUFSIZ];
  char sh_cmd[1024];
  int  cnt;
   
  /* pop the character string from the stack */
  popquote(sh_cmd, sizeof(sh_cmd));
  
  if((pipe_in = popen(sh_cmd,"r")) == NULL)
  {
    fprintf(stderr,"popen failed\n");
    in_buf[0] = '\0';
  }
  else
  {
    cnt = fread(in_buf, 1, BUFSIZ, pipe_in);
    if(cnt)
    {
      if(in_buf[cnt-1] == '\n')
         in_buf[cnt-1] = '\0';
    }
  }
   
  pclose(pipe_in);     /* close the pipe */
 
  retquote(in_buf);    /* push character string on the stack */
   
  return(1);            /* return one argument */
}
